###############################################################################
# Admin_Center_Update.pl                                                      #
###############################################################################
# Admin Center Update                                                         #
# Adds quite a few options to the Admin Center                                #
# Version:        1.4 final (YaBB 2.0/2.1)                                    #
# Released:       August 11, 2006                                             #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Admin Settings                                          #
###############################################################################

LoadLanguage("AdminCenter_Update");
if (-e "$vardir/acup_reg.txt") { require "$vardir/acup_reg.txt"; }
if (-e "$vardir/acup_prof.txt") { require "$vardir/acup_prof.txt"; }
if (-e "$vardir/acup_dim.txt") { require "$vardir/acup_dim.txt"; }

sub Modify_acup_reg_Settings {
	&is_admin_or_gmod;
$yymain .= qq~
<table cellpadding="5" cellspacing="2">
  <tr valign="top">
    <td class="titlebg" align="left" colspan="4">
	<form action="$adminurl?action=acup_reg_mod2" method="post">
      <img src="$imagesdir/xx.gif" alt="$acup_reg_txt{'19'}" border="0" />
      <b>$acup_reg_txt{'19'}</b>
	<br />$acup_reg_txt{'20'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'18'}
    </td>
    <td class="windowbg2" align="center">
    	$acup_reg_txt{'22'}
    </td>
    <td class="windowbg2" align="center">
      $acup_reg_txt{'23'}
    </td>
    <td class="windowbg2" align="center">
    	$acup_reg_txt{'24'} $acup_reg_txt{'22'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'2'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_Gender" value="1"~;
if($reg_Gender == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_Gender" value="2"~;
if($reg_Gender == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_Gender" value="0"~;
if($reg_Gender == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'3'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="reg_BirthDate" value="1"~;
if($reg_BirthDate == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_BirthDate" value="2"~;
if($reg_BirthDate == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_BirthDate" value="0"~;
if($reg_BirthDate == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'4'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_Location" value="1"~;
if($reg_Location == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_Location" value="2"~;
if($reg_Location == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_Location" value="0"~;
if($reg_Location == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'5'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="reg_ICQ" value="1"~;
if($reg_ICQ == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_ICQ" value="2"~;
if($reg_ICQ == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_ICQ" value="0"~;
if($reg_ICQ == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'6'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_AIM" value="1"~;
if($reg_AIM == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_AIM" value="2"~;
if($reg_AIM == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_AIM" value="0"~;
if($reg_AIM == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'7'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="reg_YIM" value="1"~;
if($reg_YIM == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_YIM" value="2"~;
if($reg_YIM == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_YIM" value="0"~;
if($reg_YIM == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'8'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_MSN" value="1"~;
if($reg_MSN == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_MSN" value="2"~;
if($reg_MSN == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_MSN" value="0"~;
if($reg_MSN == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'9'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="reg_GTalk" value="1"~;
if($reg_GTalk == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_GTalk" value="2"~;
if($reg_GTalk == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_GTalk" value="0"~;
if($reg_GTalk == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'10a'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_WebInfo" value="1"~;
if($reg_WebInfo == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_WebInfo" value="2"~;
if($reg_WebInfo == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_WebInfo" value="0"~;
if($reg_WebInfo == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'12'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_UserText" value="1"~;
if($reg_UserText == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_UserText" value="2"~;
if($reg_UserText == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_UserText" value="0"~;
if($reg_UserText == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'13'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="reg_Sig" value="1"~;
if($reg_Sig == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_Sig" value="2"~;
if($reg_Sig == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_Sig" value="0"~;
if($reg_Sig == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'14a'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_TimeSet" value="1"~;
if($reg_TimeSet == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg2" align="center">
    	<input type="radio" name="reg_TimeSet" value="2"~;
if($reg_TimeSet == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_TimeSet" value="0"~;
if($reg_TimeSet == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'17'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="reg_Template" value="1"~;
if($reg_Template == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg" align="center">
		&nbsp;
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="reg_Template" value="0"~;
if($reg_Template == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$acup_reg_txt{'21'}" name="acup_reg_Submit" />
      </form>
    </td>
  </tr>
</table>
~;

	$yytitle = "$acup_reg_txt{'19'}";
	$action_area = "acup_reg_mod";
	&AdminTemplate;
	exit;
}

sub Modify_acup_reg_Settings2 {

my @var_names = ('reg_RealName', 'reg_Gender', 'reg_BirthDate', 'reg_Location', 'reg_ICQ', 'reg_AIM', 'reg_YIM', 'reg_MSN', 'reg_GTalk', 'reg_WebInfo', 'reg_UserText', 'reg_Sig', 'reg_TimeSet', 'reg_Template');
my @var_comments = (" # User's real name/display name", " # Gender", " # Birthday", " # Location", " # ICQ", " # AIM", " # YIM", " # MSN", " # Google Talk", " # Website Information", " # UserText", " # Signature", " # Time Settings", " # Template Selector");

		$output = qq~###############################################################################
# acup_reg.txt                                                                #
###############################################################################
# Admin Center Update                                                         #
# Variable Values For Registration Options                                    #
# Version:        1.4 final (YaBB 2.0/2.1)                                    #
# Released:       August 11, 2006                                             #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Registration Variable Values                            #
###############################################################################
# The items with values of 1 below will be shown on the registration page     #
# Items with a value of 2 will be required.                                   #
# Items with a value of 0 will not be shown                                   #
###############################################################################

~;

$i = 0;
while ($i <= 13) {
$output .= qq~\$@var_names[$i] = \'$FORM{@var_names[$i]}\';@var_comments[$i]
~;
$i = $i + 1;
}

$output .= q~
1;~;

fopen(ACUP_REGSETTINGS, ">$vardir/acup_reg.txt");
	print ACUP_REGSETTINGS $output;
	fclose(ACUP_REGSETTINGS);
 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;
} 

sub Modify_acup_prof_Settings  {
	&is_admin_or_gmod;
$yymain .= qq~
<table cellpadding="5" cellspacing="2">
  <tr valign="top">
    <td class="titlebg" align="left" colspan="3">
	<form action="$adminurl?action=acup_prof_mod2" method="post">
      <img src="$imagesdir/xx.gif" alt="$acup_reg_txt{'19'}" border="0" />
      <b>$acup_reg_txt{'19'}</b>
	<br />$acup_prof_txt{'1'}
    </td>
  </tr>
  <tr valign="top">
    <td>
    </td>
    <td class="windowbg2" align="left">
      $acup_prof_txt{'2'}
    </td>
    <td class="windowbg2" align="center">
    	$acup_prof_txt{'3'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'4'}
    </td>
    <td class="windowbg3">
      <input type="checkbox" name="default_Location" value="1"~;
	if($default_Location == 1) {
		$yymain .= qq~ checked="checked"~;
	}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="textbox" name="default_Location_val"~;
	if($default_Location_val) {
		$yymain .= qq~ value="$default_Location_val"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'4'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="default_HideMail" value="1"~;
  	if($default_HideMail == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($default_HideMail_val == 1) {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="default_HideMail_val">
    		<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr> 
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_prof_txt{'5'}
    </td>
    <td class="windowbg3">
      <input type="checkbox" name="default_UserPic" value="1"~;
	if($default_UserPic == 1) {
		$yymain .= qq~ checked="checked"~;
	}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="textbox" name="default_UserPic_val"~;
	if($default_UserPic_val) {
		$yymain .= qq~ value="$default_UserPic_val"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'6'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="default_IMNotify" value="1"~;
  	if($default_IMNotify == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($default_IMNotify_val == 1) {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="default_IMNotify_val">
    		<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'8'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="default_IMPopup" value="1"~;
  	if($default_IMPopup == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($default_IMPopup_val eq 'on') {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="default_IMPopup_val">
    		<option value="on"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value=""$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'7'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="default_IMsPop" value="1"~;
  	if($default_IMsPop == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($default_IMsPop_val eq 'on') {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="default_IMsPop_val">
    		<option value="on"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value=""$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'11'}
  		<br />
  		<span style="font-size: 10px; font-style: italic;">
  			$acup_prof_txt{'12'}
  			<br />
  			$acup_prof_txt{'13'}
  		</span>
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="default_Template" value="1"~;
  	if($default_Template == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($default_Template_val eq 'on') {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  	$yymain .= qq~ />
  	 </td>
  	 <td class="windowbg3">~;
	&CheckNewTemplates;

	unless ($templatesloaded == 1) { require "$vardir/template.cfg"; }

	while (($curtemplate, $value) = each(%templateset)) {
		$selected = "";
		if($FORM{'default_Template_val'}) {
			if ($curtemplate eq $FORM{'default_Template_val'}) { $selected = qq~ selected="selected"~; $akttemplate = $curtemplate; }
		}
		else {
			if ($curtemplate eq $default_Template_val) { $selected = qq~ selected="selected"~; $akttemplate = $curtemplate; }
		}
		$drawndirs .= qq~<option value="$curtemplate"$selected>$curtemplate</option>\n~;
	}

	$yymain .= qq~<select name="default_Template_val">$drawndirs</select>~;
  	$yymain .= qq~
  	 </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$acup_reg_txt{'21'}" name="acup_prof_Submit" />
      </form>
    </td>
  </tr>
</table>~;
	$yytitle = "$acup_reg_txt{'19'}";
	$action_area = "acup_prof_mod";
	&AdminTemplate;
	exit;
}

sub Modify_acup_prof_Settings2 {

	my @var_names = ('default_Location', 'default_HideMail', 'default_UserPic', 'default_IMNotify', 'default_IMPopup', 'default_IMsPop', 'default_Template', 'default_Location_val', 'default_HideMail_val', 'default_UserPic_val', 'default_IMNotify_val', 'default_IMPopup_val', 'default_IMsPop_val', 'default_Template_val');
	my @var_comments = (' # Location', ' # Hide Email', ' # User Pic/Avatar', ' # PM Notification', ' # PM Popup Shows In New Window', ' # Default Template For New Members', ' # Enable PM Popup', ' # Default Value For Location', ' # Default Value For Hide Email', ' # Default Value For User Pic/Avatar', ' # Default Value For PM Notification', ' # Default Value For PM Popup Shows In New Window', ' # Default Value For Enable PM Popup', ' # Default Value For New Members\' Template');

		$output = qq~###############################################################################
# acup_prof.txt                                                               #
###############################################################################
# Admin Center Update                                                         #
# Variables For Default Profile Values                                        #
# Version:        1.4 final (YaBB 2.0/2.1)                                    #
# Released:       August 11, 2006                                             #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Default Profile Values                                  #
###############################################################################
# The items with values of 1 below will use the default set in the next       #
# section below.                                                              #
###############################################################################

~;

$i = 0;
while ($i <= 13) {

	if($i == 7) {
		$output .= qq~
###############################################################################

~;
	}

$output .= qq~\$@var_names[$i] = \'$FORM{@var_names[$i]}\';@var_comments[$i]
~;
$i = $i + 1;
}

$output .= q~
1;~;

fopen(ACUP_PROFSETTINGS, ">$vardir/acup_prof.txt");
	print ACUP_PROFSETTINGS $output;
	fclose(ACUP_PROFSETTINGS);
 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;
}

sub Modify_acup_dim_Settings {
	&is_admin_or_gmod;
$yymain .= qq~
<table cellpadding="5" cellspacing="2">
  <tr valign="top">
    <td class="titlebg" align="left" colspan="2">
	<form action="$adminurl?action=acup_dim_mod2" method="post">
      <img src="$imagesdir/xx.gif" alt="$acup_reg_txt{'19'}" border="0" />
      <b>$acup_reg_txt{'19'}</b>
	<br />$acup_dim_txt{'1'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'2'}
    </td>
    <td class="windowbg3">~;
if($dim_RestrictSig == 1) {
	$acup_check0 = "";
	$acup_check1 = qq~ selected="selected"~;
}
else {
	$acup_check1 = "";
	$acup_check0 = qq~ selected="selected"~;
}
$yymain .= qq~
      <select name="dim_RestrictSig">
      	<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
      	<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
      </select>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'3'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="dim_SigHeight"~;
	if($dim_SigHeight) {
		$yymain .= qq~ value="$dim_SigHeight"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'4'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="message_width"~;
	if($message_width) {
		$yymain .= qq~ value="$message_width"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'5'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="message_height"~;
	if($message_height) {
		$yymain .= qq~ value="$message_height"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'6'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="recent_post_val"~;
	if($recent_post_val) {
		$yymain .= qq~ value="$recent_post_val"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'8'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="button_area_width"~;
	if($button_area_width) {
		$yymain .= qq~ value="$button_area_width"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$acup_reg_txt{'21'}" name="acup_dim_Submit" />
      </form>
    </td>
  </tr>
</table>~;
	$yytitle = "$acup_reg_txt{'19'}";
	$action_area = "acup_dim_mod";
	&AdminTemplate;
	exit;
}

sub Modify_acup_dim_Settings2 {

	my @var_names = (dim_RestrictSig, dim_SigHeight, message_width, message_height, recent_post_val, button_area_width);
	my @var_comments = (' # Restrict Height of Sig Block', ' # Max-Height of Sig Block', ' # Width (in pixels) of Message Posting Area', ' # Height of Message Posting Area', ' # Number of recent posts to show', ' # Width of the yabbc button area on Post page');

		$output = qq~###############################################################################
# acup_dim.txt                                                                #
###############################################################################
# Admin Center Update                                                         #
# Various Width/Height Dimensions, etc.                                       #
# Version:        1.4 final (YaBB 2.0/2.1)                                    #
# Released:       August 11, 2006                                             #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Various Dimension Definitions                           #
###############################################################################

~;

	$i = 0;
	while ($i <= 5) {
		$output .= qq~\$@var_names[$i] = \'$FORM{@var_names[$i]}\';@var_comments[$i]
~;
		$i = $i + 1;
	}

	$output .= q~
1;~;

	fopen(ACUP_DIMSETTINGS, ">$vardir/acup_dim.txt");
	print ACUP_DIMSETTINGS $output;
	fclose(ACUP_DIMSETTINGS);
 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;

}

1;